Page MenuHomePhabricator

Throttle Exception for Cell WikiGap event Maastricht
Closed, ResolvedPublic

Description

Please add a throttle exception for https://en.wikipedia.org/wiki/Wikipedia:WikiGap_Maastricht to https://github.com/wikimedia/operations-mediawiki-config/blob/master/wmf-config/throttle.php
*from: 2019-03-08 10:00 UTC
*to: 2019-03-08 20:00 UTC
*ip: 2a01:388:3ec:150::1:69 & 31.220.243.2
*dbname: all

Exception for the creation of 25 accounts must suffice.

Event Timeline

Ciell created this task.Mar 2 2019, 5:45 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 2 2019, 5:45 PM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 2 2019, 6:15 PM

*dbname: all

@Ciell We don't have that option yet :) I suppose that you want enwiki, commonswiki, wikidatawiki ?

Ciell added a comment.Mar 3 2019, 12:18 PM

Hi Frama! Please the same as in T216998.
I think enwiki, nlwiki, commonswiki, wikidatawiki ?

Hi Frama! Please the same as in T216998.
I think enwiki, nlwiki, commonswiki, wikidatawiki ?

Interesting, in the patch created for T216998 'dbname' => 'all' was used, but I don't see anything in the source that would handle the any word as excepted. @Urbanecm do you agree?
But I just learned by reading the header comment in throttle.php says that no value equals to all wikis, that is what looks wanted here.

Any as a dbname wouldn't work (and any other group like "wikipedia" wouldn't work too). If you dig into #wikimedia-operations logs from the day this was deployed, you'll see I notified @thcipriani that I don't think it would work and he uploaded a new patch to remove the dbname row, to have the desired "all" results. I'm going to upload a patch to have this tested by jenkins, looks to be like a great idea. See T217541 for this work.

Change 494782 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[operations/mediawiki-config@master] Added new throttle rules, removed expired

https://gerrit.wikimedia.org/r/494782

Change 494782 merged by jenkins-bot:
[operations/mediawiki-config@master] Added new throttle rules, removed expired

https://gerrit.wikimedia.org/r/494782

Zoranzoki21 closed this task as Resolved.Mar 6 2019, 5:32 PM